> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coinvoyage.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Off-ramp Intents



## OpenAPI

````yaml https://api.coinvoyage.io/v3/openapi.json get /off-ramp/intents
openapi: 3.1.0
info:
  title: CoinVoyage API (v3)
  description: >-
    CoinVoyage v3 payment API. Unified Intent envelope, snake_case money via the
    Amount shape, and a single SHA-256 signature scheme.
  version: 3.0.0
servers:
  - url: https://api.coinvoyage.io/v3
security: []
paths:
  /off-ramp/intents:
    get:
      tags:
        - off-ramp
      summary: List Off-ramp Intents
      operationId: v3ListOffRampIntents
      parameters:
        - description: >-
            HMAC-SHA256 signature header:
            'APIKey=<api_key>,signature=<hex>,timestamp=<unix_timestamp>'. The
            signature is computed over METHOD + path (with the /v3 prefix
            stripped) + timestamp.
          in: header
          name: Authorization-Signature
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/WithdrawalResponse'
                    type: array
                type: object
          description: Off-ramp intents
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Failed to list off-ramp intents
      security:
        - Authorization: []
components:
  schemas:
    WithdrawalResponse:
      example:
        data:
          payment_rail: ach
          source:
            address: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
            amount:
              raw: '100000000'
              ui: '100.0'
              value_usd: 100
            chain_id: 8453
            decimals: 6
            id: 8453-0xabc123...
            name: USD Coin
            ticker: USDC
        id: withdrawal_123
        organization_id: org_123
        source_transaction_hash: 0xabc123...
        status: PENDING
        type: OFF_RAMP
      properties:
        id:
          example: withdrawal_123
          type: string
        organization_id:
          example: org_123
          type: string
        type:
          $ref: '#/components/schemas/OrganizationTransactionType'
          example: OFF_RAMP
        status:
          $ref: '#/components/schemas/OrganizationTransactionStatus'
          example: PENDING
        source_transaction_hash:
          example: 0xabc123...
          type:
            - string
            - 'null'
        data:
          $ref: '#/components/schemas/WithdrawalData'
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
        processed_at:
          type:
            - string
            - 'null'
      required:
        - id
        - organization_id
        - type
        - status
        - data
        - created_at
        - updated_at
      type: object
    ErrorResponse:
      example:
        code: 400
        error: Bad Request
        message: Invalid request parameters
      properties:
        error:
          example: Bad Request
          type: string
        message:
          example: Invalid request parameters
          type: string
        code:
          example: 400
          format: int64
          type: integer
        details:
          anyOf:
            - type: string
            - type: number
            - type: object
      required:
        - error
        - message
        - code
      type: object
    OrganizationTransactionType:
      enum:
        - OFF_RAMP
        - ON_RAMP
      type: string
    OrganizationTransactionStatus:
      enum:
        - PENDING
        - FUNDS_RECEIVED
        - KYC_PENDING
        - COMPLETED
        - FAILED
      type: string
    WithdrawalData:
      example:
        payment_rail: ach
        source:
          address: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
          amount:
            raw: '100000000'
            ui: '100.0'
            value_usd: 100
          chain_id: 8453
          decimals: 6
          id: 8453-0xabc123...
          name: USD Coin
          ticker: USDC
      properties:
        source:
          $ref: '#/components/schemas/WithdrawalSource'
        destination:
          $ref: '#/components/schemas/WithdrawalDestination'
        payment_rail:
          $ref: '#/components/schemas/LiquidationAddressPaymentRail'
          example: ach
        liquidation_address_id:
          type: string
        swap:
          anyOf:
            - $ref: '#/components/schemas/WithdrawalSwap'
            - type: 'null'
        drain:
          anyOf:
            - $ref: '#/components/schemas/LiquidationTransaction'
            - type: 'null'
      required:
        - source
        - destination
        - payment_rail
      type: object
    WithdrawalSource:
      example:
        address: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
        amount:
          raw: '100000000'
          ui: '100.0'
          value_usd: 100
        chain_id: 8453
        decimals: 6
        id: 8453-0xabc123...
        name: USD Coin
        ticker: USDC
      properties:
        id:
          example: 8453-0xabc123...
          type: string
        name:
          example: USD Coin
          type: string
        ticker:
          example: USDC
          type: string
        decimals:
          example: 6
          format: int64
          type: integer
        chain_id:
          $ref: '#/components/schemas/ChainID'
          example: 8453
        address:
          example: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
          type:
            - string
            - 'null'
        image_uri:
          type:
            - string
            - 'null'
        amount:
          $ref: '#/components/schemas/Amount'
      required:
        - chain_id
        - amount
      type: object
    WithdrawalDestination:
      properties:
        bank_account_details:
          $ref: '#/components/schemas/BankAccountDetails'
        withdraw_currency:
          type: string
      required:
        - bank_account_details
        - withdraw_currency
      type: object
    LiquidationAddressPaymentRail:
      description: Bridge fiat payment rail used for off-ramp withdrawal settlement
      enum:
        - ach
        - wire
        - ach_push
        - ach_same_day
        - sepa
        - spei
        - pix
        - swift
        - faster_payments
        - fiat_deposit_return
      type: string
    WithdrawalSwap:
      properties:
        required:
          type: boolean
        order_id:
          type: string
        status:
          $ref: '#/components/schemas/OrderStatus'
        receiving_address:
          type: string
        deposit_address:
          type: string
        refund_address:
          type: string
        source_transaction_hash:
          type: string
        destination_transaction_hash:
          type: string
        fee_amount_usd:
          type: number
      required:
        - required
      type: object
    LiquidationTransaction:
      properties:
        id:
          type: string
        amount:
          type: string
        customer_id:
          type: string
        liquidation_address_id:
          type: string
        currency:
          type: string
        state:
          $ref: '#/components/schemas/LiquidationTransactionState'
        created_at:
          type: string
        updated_at:
          type: string
        deposit_tx_hash:
          type: string
        from_address:
          type: string
        source_payment_rail:
          type: string
        destination:
          anyOf:
            - $ref: '#/components/schemas/LiquidationDestinationDetails'
            - type: 'null'
        destination_tx_hash:
          type: string
        receipt:
          anyOf:
            - $ref: '#/components/schemas/LiquidationReceipt'
            - type: 'null'
        refund_tx_hash:
          type: string
        return_details:
          anyOf:
            - $ref: '#/components/schemas/LiquidationReturnDetails'
            - type: 'null'
      required:
        - id
        - amount
        - customer_id
        - liquidation_address_id
        - currency
        - state
        - created_at
        - updated_at
      type: object
    ChainID:
      enum:
        - 1
        - 10
        - 56
        - 137
        - 8453
        - 42161
        - 20000000000001
        - 30000000000001
        - 30000000000002
      example: 1
      format: int64
      type: integer
    Amount:
      example:
        raw: '100000000'
        ui: '100.0'
        value_usd: 100
      properties:
        ui:
          example: '100.0'
          type: string
        raw:
          example: '100000000'
          type: string
        value_usd:
          example: 100
          type:
            - number
            - 'null'
      required:
        - ui
        - raw
      type: object
    BankAccountDetails:
      properties:
        id:
          type: string
        account_name:
          type:
            - string
            - 'null'
        bank_name:
          type:
            - string
            - 'null'
        account_type:
          $ref: '#/components/schemas/BankAccountType'
        account_owner_type:
          anyOf:
            - $ref: '#/components/schemas/AccountOwnerType'
            - type: 'null'
        account_details:
          $ref: '#/components/schemas/AccountDetails'
        currency:
          $ref: '#/components/schemas/BankAccountCurrency'
        active:
          type: boolean
        beneficiary_address_valid:
          type:
            - boolean
            - 'null'
        deactivation_reason:
          type:
            - string
            - 'null'
        deactivation_details:
          type:
            - string
            - 'null'
      required:
        - id
        - account_type
        - account_details
        - currency
        - active
      type: object
    OrderStatus:
      enum:
        - PENDING
        - EXPIRED
        - FAILED
        - AWAITING_PAYMENT
        - OPTIMISTIC_CONFIRMED
        - AWAITING_CONFIRMATION
        - EXECUTING_ORDER
        - COMPLETED
        - REFUNDED
        - PARTIAL_PAYMENT
      type: string
    LiquidationTransactionState:
      description: Bridge liquidation drain lifecycle state
      enum:
        - awaiting_funds
        - funds_received
        - payment_submitted
        - payment_processed
        - in_review
        - kyc_required
        - kyc_in_review
        - developer_kyb_required
        - canceled
        - error
        - undeliverable
        - refunded
      type: string
    LiquidationDestinationDetails:
      properties:
        payment_rail:
          type: string
        currency:
          type: string
        to_address:
          type: string
        blockchain_memo:
          type: string
        external_account_id:
          type: string
        wire_message:
          type: string
        sepa_reference:
          type: string
        spei_reference:
          type: string
        reference:
          type: string
        ach_reference:
          type: string
        imad:
          type: string
        trace_number:
          type: string
        tracking_number:
          type: string
        transaction_id:
          type: string
        sending_institution_name:
          type: string
        uetr:
          type: string
      required:
        - payment_rail
        - currency
      type: object
    LiquidationReceipt:
      properties:
        initial_amount:
          type: string
        developer_fee:
          type: string
        subtotal_amount:
          type: string
        converted_amount:
          type: string
        exchange_rate:
          type: string
        outgoing_amount:
          type: string
        destination_currency:
          type: string
        gas_fee:
          type: string
        url:
          type: string
      required:
        - initial_amount
        - developer_fee
        - subtotal_amount
        - converted_amount
        - exchange_rate
        - outgoing_amount
        - destination_currency
      type: object
    LiquidationReturnDetails:
      properties:
        reason:
          type: string
        risk_rejection_reason:
          type: string
      type: object
    BankAccountType:
      description: 'Bank account rail: us (ACH), iban, swift, clabe, pix, or gb (FPS)'
      enum:
        - us
        - iban
        - swift
        - clabe
        - pix
        - gb
      type: string
    AccountOwnerType:
      description: Whether the bank account owner is an individual or business
      enum:
        - individual
        - business
      type: string
    AccountDetails:
      properties:
        bank_name:
          type:
            - string
            - 'null'
        routing_number:
          type:
            - string
            - 'null'
        sort_code:
          type:
            - string
            - 'null'
        account_number:
          type: string
        checking_or_savings:
          type:
            - string
            - 'null'
        bic:
          type:
            - string
            - 'null'
        pix_key:
          type:
            - string
            - 'null'
      required:
        - account_number
      type: object
    BankAccountCurrency:
      description: Currency used by the external bank account
      enum:
        - usd
        - eur
        - mxn
        - brl
        - gbp
      type: string
  securitySchemes:
    Authorization:
      description: >-
        HMAC-SHA256 signature. See the Authorization-Signature header parameter
        on signed operations.
      in: header
      name: Authorization
      type: apiKey

````